## mx-dockmaker 20.4.3

=== debian/changelog ===
mx-dockmaker (20.4.3) mx; urgency=medium

  * ignore sed error for postinst

 -- Adrian <adrian@mxlinux.org>  Sun, 26 Apr 2020 15:41:38 -0400
