=== debian/control ===
Source: mx-dockmaker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9.2), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8

Package: mx-dockmaker
Architecture: any
Depends: xdg-utils | mx-viewer, ${misc:Depends}, ${shlibs:Depends}
Description: mx-dockmaker
 mx-dockmaker
