## mx-dockmaker 20.9

=== debian/changelog ===
mx-dockmaker (20.9) mx; urgency=medium

  * select icons with mouse click
  * fixed reloading icons on Next or Prev

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Sep 2020 15:31:28 -0400
