## mx-dockmaker 20.9.1

=== debian/changelog ===
mx-dockmaker (20.9.1) mx; urgency=medium

  * added buttons to move icons

 -- Adrian <adrian@mxlinux.org>  Tue, 15 Sep 2020 01:59:56 -0400
