## mx-dockmaker 20.10

=== debian/changelog ===
mx-dockmaker (20.10) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 15 Oct 2020 11:06:54 -0400
