## mx-dockmaker 20.12

=== debian/changelog ===
mx-dockmaker (20.12) mx; urgency=medium

  * fix: stop crashing if icon file doesn't exist 

 -- Adrian <adrian@mxlinux.org>  Thu, 03 Dec 2020 12:05:00 -0500
