## mx-dockmaker 21.2

=== debian/changelog ===
mx-dockmaker (21.2) mx; urgency=medium

  * improve icon search

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Feb 2021 11:04:41 -0500
