## mx-dockmaker 21.2.01

=== debian/changelog ===
mx-dockmaker (21.2.01) mx; urgency=medium

  * update desktop file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 13 Feb 2021 20:20:05 -0500
