## mx-dockmaker 21.5

=== debian/changelog ===
mx-dockmaker (21.5) mx; urgency=medium

  * change menu location from ~/.fluxbox/menu-mx to ~/.fluxbox/submenus

 -- Adrian <adrian@mxlinux.org>  Sun, 09 May 2021 23:01:21 -0400
