## mx-dockmaker 21.7

=== debian/changelog ===
mx-dockmaker (21.7) mx; urgency=medium

  * Faster icons search

 -- Adrian <adrian@mxlinux.org>  Sun, 18 Jul 2021 20:51:53 -0400
