## mx-dockmaker 21.10

=== debian/changelog ===
mx-dockmaker (21.10) mx; urgency=medium

  * Fix About window title

 -- Adrian <adrian@mxlinux.org>  Sat, 16 Oct 2021 18:53:18 -0400
