## mx-dockmaker 22.7

=== debian/changelog ===
mx-dockmaker (22.7) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:25:30 -0400

mx-dockmaker (22.6) mx; urgency=medium

  * Fix crash when adding a menu and not entering a menu name

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2022 00:24:01 -0400
