## mx-dockmaker 22.10

=== debian/changelog ===
mx-dockmaker (22.10) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:00:01 -0400
