## mx-dockmaker 22.12

=== debian/changelog ===
mx-dockmaker (22.12) mx; urgency=medium

  * Add two more sizes for icons
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Tue, 27 Dec 2022 16:58:38 -0500
