## mx-dockmaker 23.5

=== debian/changelog ===
mx-dockmaker (23.5) mx; urgency=medium

  * Update logo
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 21:54:59 -0400
