=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
 
 %:
-	dh $@ --parallel 
+	dh $@ --no-automatic-dbgsym --parallel
