## mx-dockmaker 23.5.02

=== debian/changelog ===
mx-dockmaker (23.5.02) mx; urgency=medium

  * Change layout to make the window shorter

 -- Adrian <adrian@mxlinux.org>  Mon, 29 May 2023 12:39:54 -0400
