## mx-dockmaker 24.3

=== debian/changelog ===
mx-dockmaker (24.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:48:58 -0400
