## mx-dockmaker 25.2

=== debian/changelog ===
mx-dockmaker (25.2) mx; urgency=medium

  * use lower case in desktop file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 16 Feb 2025 14:59:17 -0500
