=== debian/control ===
Source: mx-dockmaker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/MX-Linux/mx-dockmaker

Package: mx-dockmaker
Architecture: any
Depends: xdg-utils | mx-viewer, ${misc:Depends}, ${shlibs:Depends}
Description: Dockmaker for MX Linux
 Easily create, modify, and manage docks on MX Fluxbox
