=== debian/control ===
Source: mx-dockmaker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-dockmaker
Homepage: https://github.com/MX-Linux/mx-dockmaker

Package: mx-dockmaker
Architecture: any
Depends: xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Dock configuration tool for MX Linux
 MX DockMaker is a graphical utility that allows users to easily
 create, modify, and manage docks on MX Linux with Fluxbox. It provides
 a user-friendly interface for customizing dock appearance, adding
 applications, and configuring dock behavior without requiring manual
 editing of configuration files.
