## mx-dockmaker 25.12.1

=== debian/changelog ===
mx-dockmaker (25.12.1) mx; urgency=medium

  * Add Tooltip edit option in UI
  * Fix quoting issue for command

 -- Adrian <adrian@mxlinux.org>  Wed, 10 Dec 2025 10:06:27 -0500

mx-dockmaker (25.12) mx; urgency=medium

  * Handle commands with options (quote arguments)

 -- Adrian <adrian@mxlinux.org>  Wed, 10 Dec 2025 00:08:26 -0500
