=== debian/control ===
--- 
+++ 
@@ -3,6 +3,8 @@
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
 Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16),
+               ninja-build,
                qt6-base-dev,
                qt6-base-dev-tools,
                qt6-tools-dev,
