## mx-dockmaker 25.12.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,14 @@
 # **********************************************************************/
 
 cmake_minimum_required(VERSION 3.16)
+
+# Option to use clang for testing builds - needs to be early so project() picks it up
+option(USE_CLANG "Use clang compiler" OFF)
+if(USE_CLANG)
+    set(CMAKE_C_COMPILER clang CACHE STRING "C compiler" FORCE)
+    set(CMAKE_CXX_COMPILER clang++ CACHE STRING "C++ compiler" FORCE)
+    message(STATUS "Using clang compiler")
+endif()
 
 # Get version from debian/changelog
 execute_process(
@@ -31,8 +39,10 @@
     RESULT_VARIABLE DPKG_RESULT
 )
 
-if(NOT DPKG_RESULT EQUAL 0)
-    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
+# Fallback to a safe default when changelog parsing is unavailable
+if(NOT DPKG_RESULT EQUAL 0 OR PROJECT_VERSION_FROM_CHANGELOG STREQUAL "")
+    message(WARNING "Falling back to version 0.0.0 (dpkg-parsechangelog not available or failed)")
+    set(PROJECT_VERSION_FROM_CHANGELOG "0.0.0")
 endif()
 
 project(mx-dockmaker
@@ -72,6 +82,7 @@
     Core
     Gui
     Widgets
+    Test
     LinguistTools
 )
 
@@ -85,15 +96,24 @@
     src/main.cpp
     src/mainwindow.cpp
     src/about.cpp
-    src/cmd.cpp
     src/picklocation.cpp
+    src/dockconfiguration.cpp
+    src/dockfileparser.cpp
+    src/dockfilemanager.cpp
+    src/dockiconmanager.cpp
+    src/icondragdrophandler.cpp
 )
 
 set(HEADERS
     src/mainwindow.h
     src/about.h
-    src/cmd.h
     src/picklocation.h
+    src/dockiconinfo.h
+    src/dockconfiguration.h
+    src/dockfileparser.h
+    src/dockfilemanager.h
+    src/dockiconmanager.h
+    src/icondragdrophandler.h
 )
 
 set(UI_FILES
@@ -102,7 +122,7 @@
 )
 
 set(RESOURCE_FILES
-    src/images.qrc
+    images.qrc
 )
 
 # Get all translation files
@@ -140,6 +160,42 @@
     target_compile_options(mx-dockmaker PRIVATE -Werror=return-local-addr)
 endif()
 
+option(ENABLE_TESTS "Build unit tests" OFF)
+if(ENABLE_TESTS)
+    enable_testing()
+    add_executable(dockfileparser_test
+        tests/dockfileparser_test.cpp
+        src/dockfileparser.cpp
+        src/dockconfiguration.cpp
+        src/dockfileparser.h
+        src/dockconfiguration.h
+        src/dockiconinfo.h
+    )
+    set_target_properties(dockfileparser_test PROPERTIES AUTOMOC ON)
+    target_include_directories(dockfileparser_test PRIVATE src)
+    target_link_libraries(dockfileparser_test
+        Qt6::Core
+        Qt6::Gui
+        Qt6::Test
+    )
+    add_test(NAME dockfileparser_test COMMAND dockfileparser_test)
+
+    add_executable(deletion_test
+        tests/deletion_test.cpp
+        src/dockconfiguration.cpp
+        src/dockconfiguration.h
+        src/dockiconinfo.h
+    )
+    set_target_properties(deletion_test PROPERTIES AUTOMOC ON)
+    target_include_directories(deletion_test PRIVATE src)
+    target_link_libraries(deletion_test
+        Qt6::Core
+        Qt6::Gui
+        Qt6::Test
+    )
+    add_test(NAME deletion_test COMMAND deletion_test)
+endif()
+
 # Set compile definitions
 target_compile_definitions(mx-dockmaker PRIVATE
     QT_DEPRECATED_WARNINGS
@@ -165,6 +221,7 @@
 # Handle translations
 qt6_add_translations(mx-dockmaker
     TS_FILES ${TRANSLATION_FILES}
+    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
     QM_FILES_OUTPUT_VARIABLE qm_files
 )
