=== debian/changelog ===
mx-dockmaker (25.12.5) mx; urgency=medium

  * Fix .desktop

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Dec 2025 10:24:32 -0500

mx-dockmaker (25.12.3) mx; urgency=medium

  * Remove buttons to move icons in the preview bar, rely in drag and
    drop
  * Extensive code refactoring and optimization

 -- Adrian <adrian@mxlinux.org>  Sat, 13 Dec 2025 21:27:29 -0500

mx-dockmaker (25.12.2) mx; urgency=medium

  * Sanitize tooltip entry
  * Fix minor GUI issues, fix going back to menu when exiting the main window
  * Add tooltip to the preview icons
  * Add drag & drop option to move icons
  * Change how the selected icon show, keep size but add a dotted border

 -- Adrian <adrian@mxlinux.org>  Thu, 11 Dec 2025 13:29:32 -0500
