=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 Package: mx-dockmaker
 Architecture: any
-Depends: xdg-utils | mx-viewer,
+Depends: xdg-utils | mx-viewer, wmalauncher
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Dock configuration tool for MX Linux
